Subject: Re: bug#993: 23.0.60; vc-find-root heuristic unreliable on Windows with Cygwin

From: Glenn Morris <[email-masked]>
Date: Tue, 28 Oct 2008 23:02:14 -0400

Glenn Morris wrote:

> Time to customize locate-dominating-stop-dir-regexp I suppose...

BTW, it seems you are stopping one directory too late, in that in
order to stop Emacs looking up things like "/afs/.hg", I have to an
add an element of the form "\\`/afs/[^/]+\\'".

In other words, locate-dominating-stop-dir-regexp is the last
directory in which you _do_ scan, whereas it might be simpler if it
were the first _not_ scanned.

I would also suggest adding /home and perhaps /nfs, as well as /afs
and /net, to the default. Actually, I don't see why the default stop
should not just match "\\`/[^/]+\\'".